Page MenuHomePhabricator

infinitepush: skip fastheadsdiscovery heuristic
ClosedPublic

Authored by stash on Nov 24 2017, 6:58 AM.

Details

Reviewers
mbthomas
Group Reviewers
Restricted Project
Commits
rFBHGX23171cd2898a: infinitepush: skip fastheadsdiscovery heuristic
Summary

remotenames extension has a heuristic that speeds up discovery. Unfortunately
it may result in sending public commits to infinitepush server. This diff
intentionally disables this heuristic for infinitepush backups.

Test Plan

Run tests

Diff Detail

Repository
rFBHGX Facebook Mercurial Extensions
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

stash created this revision.Nov 24 2017, 6:58 AM
mbthomas accepted this revision.Nov 24 2017, 12:35 PM
This revision is now accepted and ready to land.Nov 24 2017, 12:35 PM
durham added a subscriber: durham.Nov 28 2017, 11:11 AM

When were we seeing cases where there were public commits without a remote bookmark pointing at them?

stash added a comment.Nov 30 2017, 4:47 AM

When were we seeing cases where there were public commits without a remote bookmark pointing at them?

@durham I saw them when people did hg up FULL_COMMIT_HASH and download commit from infinitepush that is based on a public commit which is not in the repo.

This revision was automatically updated to reflect the committed changes.